/*****************************************************************************
 ****                                                                     ****
 **** lf.h                                                                ****
 ****                                                                     ****
 **** By A.Dwelly 2.10.90                                                 ****
 ****                                                                     ****
 **** This is an experimentors package, and demonstration of the          ****
 **** learning algorithms and software developed by                       ****
 **** Prof. W. A. Armstrong's group at The University of Alberta,         ****
 **** Edmonton, Alberta, Canada.                                          ****
 **** For technical details see `Experiments using Parsimonious Adaptive  ****
 **** Logic` W. W. Armstrong, Jiandong Liang, Dekang Lin, Scott Reynolds  ****
 **** For details of this implementation see `An Implementation of        ****
 **** Armstrong Trees` A. Dwelly.                                         ****
 ****                                                                     ****
 **** Using this program:                                                 ****
 ****                                                                     ****
 **** The program lf implements a small language for controlling the      ****
 **** atree software. It takes a single parameter which is the name of    ****
 **** the file it is to execute, or if there is none, reads the standard  ****
 **** input. The language is fully described in the `An implementation..' ****
 **** document.                                                           ****
 **** This file contains the data types for the program.                  ****
 ****                                                                     ****
 **** License:                                                            ****
 ****                                                                     ****
 **** Modification history:                                               ****
 ****                                                                     ****
 **** 2.10.90 Initial implementation, A.Dwelly                            ****
 **** 91.05.20 Windows Port & Windows Extensions, M. Thomas               ****
 ****                                                                     ****
 *****************************************************************************/

#define TRUE 1
#define FALSE 0

typedef int bool;

typedef struct prog_struct
{
    bool error;
    bool warning;
    int dimensions;
    int trainset_sz;
    int testset_sz;
    int *quant;
    float *quant_step;
    float **train_table;
    float **test_table;
    int **test_table_quant;
    float *largest;
    float *smallest;
    int *string_width;
    int *walk_step;
    int width_sum;
    LPBIT_VEC *random_walk;
    int tree_sz;
    int max_correct;
    int max_epochs;
    int vote;
}
prog_type;
